For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.v2.apps.byApp_Id(app_Id).health.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | App_health_response>
Description
Retrieve information like health status, cpu and memory utilization of app components.
Parameters
app_Id string required
Example: 4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf
The app ID
Request Sample
Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
createDigitalOceanClient,
DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";
const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);
const response = await client.v2.apps
.byApp_Id("4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf").health.get();
Response Example
Show Response Example
{
"components": [
{
"name": "sample-expressjs",
"cpu_usage_percent": 5.555,
"memory_usage_percent": 20.32,
"replicas_desired": 1,
"replicas_ready": 2,
"state": "HEALTHY"
}
]
}
See /v2/apps/{app_id}/health in the API reference for additional detail on responses, headers, parameters, and more.